# CustomPokemonData | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class CustomPokemonData

Data that can customize a Pokemon in non-standard ways from its Species Used by Mystery Encounters and Mints Also used as a counter how often a Pokemon got hit until new arena encounter

- Defined in src/data/custom-pokemon-data.ts:11

##### Index

### Constructors

constructor

### Properties

ability
hitsRecCount
nature
passive
spriteScale
types

### Methods

resetHitReceivedCount

## Constructors

### constructor

- new CustomPokemonData(
  data?: CustomPokemonData | Partial< CustomPokemonData >,
  ): CustomPokemonData

  #### Parameters

  - `Optional` data: CustomPokemonData | Partial< CustomPokemonData >

  #### Returns CustomPokemonData

  - Defined in src/data/custom-pokemon-data.ts:20

## Properties

### ability

ability: -1 | Abilities

- Defined in src/data/custom-pokemon-data.ts:13

### hitsRecCount

hitsRecCount: number

`hitsReceivedCount` aka `hitsRecCount` saves how often the pokemon got hit until a new arena encounter (used for Rage Fist)

- Defined in src/data/custom-pokemon-data.ts:18

### nature

nature: -1 | Nature

- Defined in src/data/custom-pokemon-data.ts:15

### passive

passive: -1 | Abilities

- Defined in src/data/custom-pokemon-data.ts:14

### spriteScale

spriteScale: number

- Defined in src/data/custom-pokemon-data.ts:12

### types

types: PokemonType []

- Defined in src/data/custom-pokemon-data.ts:16

## Methods

### resetHitReceivedCount

- resetHitReceivedCount(): void

  #### Returns void

  - Defined in src/data/custom-pokemon-data.ts:33